tutorials<-list(
    list("R_data_types","Basic_Programming_Structures","Functions","Complexity","R_Pitfalls","Debugging"),
    list("Basic_Data_Transformations","Experiments_with_dplyr"),
    list("Introduction_to_ggplot","Using_dplyr_and_ggplot","CovidPlot","Example_Graph_1","Example_Graph_2"),
    list("Longley_Data","PCA","Kmeans"),
    list("Regression","GLM","GAM","Time_Series_Q1","Time_Series_Q2","Time_Series_Q3","Tree_Methods_Q1","Variable_Selection"),
    list("Q1","Q2","Q3"))


section.title=c(
    "Programming_in_R",
    "Data_Wrangling",
    "Visualisation",
    "Data_Exploration",
    "Data_Analysis",
    "Model_Validation")


list.tutorials<-function(){
    return(tutorials)
}

run.tutorial<-function(x,y=0){
    if(y==0){
        if(is.character(x)){
            ##try to match name
        }else{
            return(0)
        }
    }else{
        tutorial<-paste(paste(x,section.title[x],sep="_"),tutorials[[x]][[y]],sep="/")
        print(paste("Running tutorial: \"",tutorial,"\"",sep=""))
        learnr::run_tutorial(tutorial,package="ACSC.STAT.3740")
    }
}


                          
                          
                          
                          
                          
